@import '../../styles/mixins.scss';
@import '../../styles/variables.scss';

.sort {
  @include secondary-font-12-normal($text-extra-grey-dark);
  line-height: 18px;
  display: flex;
  align-items: center;
  margin-top: 10px;
  position: relative;
  margin-bottom: 10px;

  &__label {
    display: flex;
  }

  &__active-item {
    color: $blue;
    text-decoration: underline;
    margin-left: 5px;
    cursor: pointer;
    transition: 0.3s;

    &:hover {
      opacity: 0.5;
    }
  }

  &__popup {
    position: absolute;
    left: 0;
    top: 20px;
    background: $bg-primary;
    box-shadow: 0px 5px 15px rgba(0, 0, 0, 0.09);
    border-radius: 10px;
    overflow: hidden;
    padding: 10px 0;
    width: 160px;
  }

  &__popup-list {
    overflow: hidden;
  }

  &__popup-list-item {
    padding: 12px 20px;
    cursor: pointer;
    transition: 0.3s;

    &:hover {
      opacity: 0.5;
    }

    &--active {
      color: $blue;
    }
  }
}
